---
title: "Get journal posts filtered and paged"
slug: "get-journal-posts-filtered-and-paged"
updated: 2025-08-29T20:01:43Z
published: 2026-02-10T12:53:32Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get journal posts filtered and paged

Post/api/v1/journalposts/journalpost/filter

Get a paged list of existing journal posts, optionally filtered to the given parameters.

		
			

**Description**

The endpoint retrieves a paged list of existing journal posts from the financial accounting administration, filtered to the given parameters.

**Use Case**

The user wants to retrieve a full list of journal posts associated with a specific owner. By using the ownerReference the user can retrieve this list. As another example the user can utilize this endpoint to retrieve the reference of a journal post needed to make a [GET journal post request](/v1-api/apidocs/get-a-journal-post).

**Request****fields**

The request contains the following fields:

| Field | Description |
| --- | --- |
| pageSize | The maximum number of pages to be returned per request. The default number is 100 and the maximum is 1.000. If more results are returned than specified in the PageSize, the remaining pages are dropped based on the reference (number). |
| pageNumber | This allows the requesting party to specify which of the pages they want to receive. |
| ColumnName | The data field based on which sorting is applied. For example, if the results are sorted based on financial year, columnName will contain the value 'financial year'. |
| order | Based on this value, the property defined in 'columnName' is either sorted ascending (a-z) or descending (z-a). |
| reference | This pertains to the reference of the specific sales invoice. This reference can be used to obtain further information regarding the invoice through the INVULLEN |
| ownerReference | This pertains to the reference of the owner of the object. |
| journalCode | This pertains to the journal code ode of the journal in which the entry is recorded. Indicates the category or type of transaction. |
| outputAllWorkflowStates | 1 = Draft Concept status. Edits are still possible. 2 = OnHold This means that an invoice is on hold before it can be approved, for example due to a dispute with the supplier. 3 = Cancelled This invoice was, for example, not needed or created in error. 4 = ApprovalWorkflow Submitted for approval. For example, the invoice is pending approval by person X. This may involve a simple or extended approval chain of multiple people. 7 = Final This is the most relevant status for integration partners. Bookings & invoices are then fully processed (and potentially sent). 9 = Disapproved The invoice has been returned by an approver for adjustments by the creator. 10 = OwnerApprovalWorkflow Submitted for approval by the owner. The invoice is then awaiting the owner’s approval via the owners’ portal. This is in addition to the normal approval process but is linked to the use of the owners’ portal. 11 = DisapprovedByOwner Disapproved by the owner. This requires further review. |
| financialYear | Financial year to which the entry belongs. |
| financialPeriodIndex | Indicates the financial period in which the transaction is recorded. |
| createdAt.from | The creation date. This defines the lower border of the range. |
| createdAt.to | The creation date. This defines the upper border of the range. |
| lastModified.from | The last modified date. This defines the lower border of the range. |
| lastModified.to | The last modified date. This defines the upper border of the range. |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Body parameters<select class='api-response-data' aria-label='Media type'><option value='70b6fb9e-0954-4d9a-a13f-0d6c98b6d91a'>application/json</option>
</select>Expand Allobject  pagingobject (PagingInfo)  pageSizeinteger  (int32)   | null  Minimum1Maximum1000
pageNumberinteger  (int32)   | null  Minimum1Maximum9999

sortingobject (SortingInfo)  columnNamestring   | null  
orderinteger  (int32)    Valid values[
  0,
  1
]

filterobject (JournalPostSearchRequestFilter)  referencestring   | null  
ownerReferencestring   | null  
journalCodestring   | null  
outputAllWorkflowStatesboolean    
financialYearinteger  (int32)   | null  
financialPeriodIndexinteger  (int32)   | null  
createdAtobject (CompareFilterModelDateTime)  fromstring  (date-time)   | null  
tostring  (date-time)   | null  

lastModifiedobject (CompareFilterModelDateTime)  fromstring  (date-time)   | null  
tostring  (date-time)   | null  

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='a2af6ba1-f144-48c6-9cd4-f3a62513d696'>application/json</option>
</select>Expand Allobject  pagingobject (PagingInfo)  pageSizeinteger  (int32)   | null  Minimum1Maximum1000
pageNumberinteger  (int32)   | null  Minimum1Maximum9999

sortingobject (SortingInfo)  columnNamestring   | null  
orderinteger  (int32)    Valid values[
  0,
  1
]

journalPosts Array of object (JournalPostSearchResultFilter)  | null  object  referencestring   | null  
ownerReferencestring   | null  
journalCodestring   | null  
workflowStateinteger  (int32)    Valid values[
  1,
  2,
  3,
  4,
  7,
  9,
  10,
  11
]
financialYearinteger  (int32)    
financialPeriodIndexinteger  (int32)    
createdAtstring  (date-time)    
lastModifiedstring  (date-time)
